/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:16pm
Filepath: scripts\Items\Misc\BowOfSteveBallmer.cs
Lines of code: 33

Description: 

***********************************************************/



using Server;
using System;

namespace Server.Items
{
	
	public class BowOfSteveBallmer : RepeatingCrossbow
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }
		
		
		public override int EffectID{ get{ return 0xB57; } }
		public override Type AmmoType{ get{ return typeof( WoodenChair ); } }
		public override Item Ammo{ get{ return new WoodenChair(); } }		

		[Constructable]
		public BowOfSteveBallmer() : base()
		{
			Name="Bow Of Steve Ballmer";
			Hue=1109;

			MaxRange = 10;
		}
		

		public BowOfSteveBallmer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
	}
	
}